"use strict";
/*******************************************************************************
 * Copyright (c) 2018 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const CommandUtil_1 = require("./CommandUtil");
const Logger_1 = require("../Logger");
// import InstallerWrapper from "../microclimate/connection/InstallerWrapper";
// import * as MCUtil from "../MCUtil";
function deactivateConnectionCmd(connection) {
    return __awaiter(this, void 0, void 0, function* () {
        if (connection == null) {
            const selected = yield CommandUtil_1.promptForConnection(false);
            if (selected == null) {
                // user cancelled
                Logger_1.default.d("User cancelled project prompt");
                return;
            }
            connection = selected;
        }
        vscode.window.showWarningMessage("Deactivating Codewind is currently disabled.");
        return;
        // try {
        //     return await InstallerWrapper.stopAll();
        // }
        // catch (err) {
        //     vscode.window.showErrorMessage("Error stopping Codewind: " + MCUtil.errToString(err));
        // }
    });
}
exports.default = deactivateConnectionCmd;
//# sourceMappingURL=DeactivateConnectionCmd.js.map